content-host list -> the 'id' listed is the uuid; however, system-group requires the db 'id'

05/06/2014 08:57 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1097858 Red Hat JIRA:  

Pull request:    

Description

The following scenario seems like it will be confusing to users:

1. When creating a system-group, if the user provides a list of system-ids, it appears that the server expects those to be the db ids

(e.g. 1, 2, 3...etc).

2. When listing the content-hosts (systems), the ID listed is the content-host UUID (which is not the one expected in #1).

hammer> content-host list --organization-id ACME_Corporation

-------------------------------------|--------------------------

ID                                   | NAME

-------------------------------------|--------------------------

aedc1566-9aa8-483d-9c0c-b8a556c6fb87 | dhcp129-51.rdu.redhat.com

-------------------------------------|--------------------------

3. When looking at the content-host info, it requires the user to provide --id which is the UUID, but then lists that as the UUID and the

DB ID as ID:

hammer> content-host info --organization-id ACME_Corporation --id aedc1566-9aa8-483d-9c0c-b8a556c6fb87

Name:                  dhcp129-51.rdu.redhat.com

ID:                    2

UUID:                  aedc1566-9aa8-483d-9c0c-b8a556c6fb87

Description:           updated description

Location:              None

Lifecycle Environment: Library

Content View:          Default Organization View

Entitlement Status:    invalid

Release Version:

Autoheal:              true

hammer>

History

#1 - 05/27/2014 11:03 PM - dustin tsang

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1097858

#2 - 06/03/2014 02:12 PM - dustin tsang

- Status changed from New to Closed

#3 - 06/05/2014 03:35 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
